Returns all the facet queries

- « SolrQuery::getFacetPrefix

- SolrQuery::getFacetSort »

- PHP Manual
- SolrQuery
- Returns all the facet queries

# SolrQuery::getFacetQueries

(PECL solr >= 0.9.2)

SolrQuery::getFacetQueries — Returns all the facet queries

### Description

public SolrQuery::getFacetQueries(): array

Returns all the facet queries

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `null` if not set.